/* Importing font */
@import url('https://fonts.googleapis.com/css2?family=Miniver&family=Poppins:ital,wght@0,400;0,500;0,600;0,700;1,400&display=swap');

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}
:root{
/* Colors */
  --white-color: #fff;
  --dark-color: #202020;
  --primary-color: #04132e;
  --secondary-color: #f59a12;
  --light-pink-color: #dee5f5;
  --medium-gray-color: #cccccc;

/* Font size */
--font-size-s: 0.9rem;
--font-size-n: 1rem;
--font-size-m: 1.12rem;
--font-size-l: 1.5rem;
--font-size-xl: 2rem;
--font-size-xxl: 2.3rem;

/* Font weight */
--font-weight-normal: 400;
--font-weight-medium: 500;
--font-weight-semibold: 600;
--font-weight-bold: 700;

/* Border radius */
--border-radius-s: 8px;
--border-radius-m: 30px;
--border-radius-circle: 50%;

/* Site max width */
--site-max-width: 1300px;
}
section {
  scroll-margin-top: 80px;
}
html{
  scroll-behavior: smooth;
}
ul{
  list-style: none;
}
a{
  text-decoration: none;
}
button{
  cursor: pointer;
  border: none;
  background: none;
}
.image-width{
  width: 100%;
} 

.section-content{
  margin: 0 auto;
  padding: 0 20px;
  max-width: var(--site-max-width);
}
.section-title{
  text-align: center;
  padding:60px, 0, 100px;
  text-transform: uppercase;
  font-size: var(--font-size-xl);
}
.section-title::after{
  content: "";
  width: 80px;
  height: 5px;
  display: block;
  margin: 10px auto 0;
  border-radius: var(--border-radius-s);
  background: var(--secondary-color);
}
header{
  position: fixed;
  width: 100%;
  z-index: 5;
  background-color: var(--primary-color);
}
header .navbar{
  display: flex;
  padding: 20px;
  align-items: center;
  justify-content: space-between;
}
.navbar .nav-logo .logo-text{
  display: flex;
  align-items: center;   
  gap: 8px; 
  color: var(--white-color);
  font-size: var(--font-size-xl);
  font-weight: var(--font-weight-semibold);
}
.navbar .nav-logo img {
  width: 40px;
  height: 40px;
  object-fit: contain;
}
.navbar .nav-logo span {
  letter-spacing: 1px;
}
.navbar .nav-menu{
  display: flex;
  gap: 10px;
}
.navbar .nav-menu .nav-link {
  padding: 10px 18px;
  color: var(--white-color);
  font-size: var(--font-size-m);
  border-radius: var(--border-radius-m);
  transition: 0.3s ease;
}
.navbar .nav-menu .nav-link:hover{
  color: var(--primary-color);
  background: var(--secondary-color);
}
.navbar :where(#menu-open-button, #menu-close-button){
  display: none;
}

.hero-section{
  min-height: 100vh;
  background: var(--primary-color);
  
}
.hero-section .section-content{
  display: flex;
  align-items: center;
  min-height: 100vh;
  color: var(--white-color);
  justify-content: space-between;
}
.hero-section .hero-details .title {
  font-size: var(--font-size-xxl);
  color: var(--secondary-color);
  font-family: "Miniver", sans-serif;
}
.hero-section .hero-details .subtitle{
  margin: 8px;
  max-width: 70%;
  font-size: var(--font-size-xl);
  font-weight: var(--font-weight-semibold);
}
.hero-section .hero-details .description{
  max-width: 70%;
  margin: 24px 0 40px;
  font-size: var(--font-size-m);
}
.hero-section .hero-details .buttons{
  display: flex;
  gap: 23px;
}

.hero-section .hero-details .button {
  padding: 10px 26px;
  border: 2px solid transparent;
  color: var(--primary-color);
  border-radius: var(--border-radius-m);
  background: var(--secondary-color);
  font-weight: var(--font-weight-medium);
  transition: 0.3s ease;
  
}
.hero-section .hero-details .button:hover, .hero-section .hero-details .contact-us{
  color: var(--white-color);
  border-color: var(--white-color);
  background: transparent;
}
.hero-section .hero-details .contact-us:hover{
  color: var(--white-color);
  border-color: var(--secondary-color);
  background: var(--secondary-color);

}
.hero-section .hero-image-wrapper{
  max-width: 500px;
  margin-right: 30px;
}
.about-section{
  padding: 120px 0;
  background: var(--light-pink-color);
}
.about-section .section-content{
  display: flex;
  gap:50px; 
  align-items: center;
  justify-content: space-between;
}
.about-section .about-image-wrapper .about-image{
  width: 400px;
  height: 400px;
  object-fit: cover;
  border-radius: var(--border-radius-circle);
}
.about-section .about-details .section-title{
  padding: 0;
}
.about-section .about-details {
  max-width: 50%;
}
.about-section .about-details .text{
  line-height: 30px;
  margin: 50px 0 30px;
  text-align: center;
  font-size: var(--font-size-m);
}
.about-section .social-link-list{
  display: flex;
  gap: 25px;
  justify-content: center;
}

.about-section .social-link-list .social-link {
  color:var(--primary-color);
  font-size: var(--font-size-l);
  transition: 0.2s ease;

}
.about-section .social-link-list .social-link:hover{
  color: var(--secondary-color);
}
.menu-section{
  color: var(--white-color);
  background: var(--dark-color);
  padding: 50px 0 100px;
}
.menu-section .menu-list{
  display: flex;
  flex-wrap: wrap;
  gap: 110px;
  align-items: center;
  justify-content:space-between ;
}
.menu-section .menu-list .menu-item{
  display: flex;
  align-items: center;
  text-align: center;
  flex-direction: column;
  justify-content: space-between;
  width: calc(100% / 3 - 110px);
}
.menu-section .menu-list .menu-item .menu-image{
max-width: 83%;
aspect-ratio: 1;
margin-bottom: 15px;
object-fit: contain;
}
.menu-section .menu-list .menu-item .name{
  margin: 12PX 0;
  font-size: var(--font-size-l);
  font-weight: var(--font-weight-semibold);
}

.menu-section .menu-list .menu-item .text{
  font-size: var(--font-size-m);
}
.testimonials-section{
  padding: 50px 0;
  background: var(--light-pink-color);
}
.testimonials-section .slider-wrapper{
  overflow: hidden;
  margin: 0 60px 50px;

}
.testimonials-section .testimonial{
  user-select: none;
  display: flex;
  padding: 35px;
  text-align: center;
  flex-direction: column;
  align-items: center;
}
.testimonials-section .testimonial .user-image{
  width: 180px;
  height: 180px;
  object-fit: cover;
  margin-bottom: 50px;
  border-radius: var(--border-radius-circle);
}
.testimonials-section .testimonial .name{
  margin-bottom: 16px;
  font-size: var(--font-size-m);
}
.testimonials-section .testimonial .feedback{
  line-height: 25px;
}

.testimonials-section .swiper-pagination-bullet{
  width: 15px;
  height: 15px;
  opacity: 1;
  background-color: var(--secondary-color);
}

.testimonials-section .swiper-slide-button{
  margin-top: -50px;
  color: var(--secondary-color);
  transition: 0.3s ease;
}
.testimonials-section .swiper-slide-button:hover{
  color: var(--primary-color);
}
.gallery-section{
  padding: 50px 0 100px;
}
.gallery-section .gallery-list{
  display: flex;
  flex-wrap: wrap;
  gap: 32px;
}
.gallery-section .gallery-list .gallery-item{
  overflow: hidden;
  border-radius: var(--border-radius-s);
  width: calc(100% / 3 - 32px);
  margin: 20px 0;
}
.gallery-section .gallery-item .gallery-image{
  width: 100%;
  height: 100%;
  cursor: zoom-in;
  transition: 0.3s ease;
}
.gallery-section .gallery-item:hover .gallery-image{
  transform: scale(1.3);

}
.contact-section {
    padding: 50px 0 100px;
    background: var(--light-pink-color);
}

.contact-section .section-content {
    display: flex;
    gap: 48px;
    align-items: flex-start;
    justify-content: space-between;
}
.contact-section .contact-info-list .contact-info {
    display: flex;
    gap: 20px;
    margin: 20px 0;
    align-items: center;
}

.contact-section .contact-info-list .contact-info i {
    font-size: var(--font-size-m);
}
.contact-section .contact-form .form-input {
    width: 100%;
    height: 50px;
    padding: 0 12px;
    outline: none;
    margin-bottom: 16px;
    background: var(--white-color);
    border-radius: var(--border-radius-s);
    border: 1px solid var(--medium-gray-color);
}
.contact-section .contact-form{
  max-width: 50%;
  margin: 20px;
}
.contact-section .contact-form .form-input:focus {
    border-color: var(--secondary-color);
}

.contact-section .contact-form textarea.form-input {
    height: 100px;
    padding: 12px;
    resize: vertical;
}
.contact-section .contact-form .submit-button {
    padding: 10px 26px;
    margin-top: 10px;
    color: var(--white-color);
    font-size: var(--font-size-m);
    font-weight: var(--font-weight-medium);
    background: var(--primary-color);
    border-radius: var(--border-radius-m);
    border: 1px solid var(--primary-color);
    transition: 0.3s ease;
}

.contact-section .contact-form .submit-button:hover {
    color: var(--primary-color);
    background: transparent;
}

.footer-section {
    padding: 20px 0;
    background: var(--dark-color);
}

.footer-section .section-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footer-section :where(.copyright-text, .social-link, .policy-link) {
    color: var(--white-color);
    transition: 0.2s ease;
}
.footer-section .social-link-list {
    display: flex;
    gap: 25px;
}

.footer-section .social-link-list .social-link {
    font-size: var(--font-size-l);
}

.footer-section .social-link-list .social-link:hover,
.footer-section .policy-text .policy-link:hover {
    color: var(--secondary-color);
}

.footer-section .policy-text .separator {
    margin: 0 5px;
    color: var(--white-color);
}



@media screen and (max-width:1024px){
  .menu-section .menu-list{
    gap: 60px;
  }
  .menu-section .menu-list .menu-item{
    width: calc(100% / 3  - 60px);
  }
  .gallery-section .gallery-list .gallery-item{
    margin: 20px 0;
 
  }

}
@media screen and (max-width:900px){

  :root {
    --font-size-m: 1rem;
    --font-size-l: 1.3rem;
    --font-size-xl: 1.5rem;
    --font-size-xxl: 1.8rem;
  }
  body.show-mobile-menu header::before{
    content: "";
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(5px);
    background: rgba(0,0,0,0.2);
    
  }
  .navbar :where(#menu-open-button, #menu-close-button){
    display: block;
    font-size: var(--font-size-l);
  }
   .navbar #menu-close-button{
    position: absolute;
    top: 30px;
    right: 30px;

  }
  .navbar #menu-open-button{
    color:var(--white-color)
  }

  .navbar .nav-menu{
    display: block;
    position: fixed;
    left: -300px;
    top: 0;
    width: 300px;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 100px;
    background: var(--white-color);
    transition: left 0.2s ease;
    }
  body.show-mobile-menu .navbar .nav-menu{
    left: 0;
  }
  .navbar .nav-menu .nav-link{
    color: var(--dark-color);
    display: block;
    margin-top: 17px;
    font-size: var(--font-size-l);
    }
  .hero-section .section-content{
    gap: 50px;
    text-align: center;
    padding: 30px 20px 20px;
    flex-direction: column-reverse;
    justify-content:center ;
  }
  .hero-section .herp-image-wrapper{
    max-width: 270px;
    margin-right: 0;
  }
  .hero-section .hero-details :is(.subtitle, .description), .about-section .about-details .contact-section .contact-form{
    max-width: 100%;
  }

  .about-section .section-content{
    gap: 70px;
    flex-direction: column-reverse;
  }
  .about-section .about-image-wrapper .about-image{
    width: 100%;
    height: 100%;
    max-width: 250px;
    aspect-ratio: 1;
  }
   .menu-section .menu-list{
    gap: 30px;
  }
  .menu-section .menu-list .menu-item{
    width: calc(100% / 2  - 30px);
  }
    .menu-section .menu-list .menu-item .menu-image{
    max-width: 200px;
  }
    .gallery-section .gallery-list{
    gap: 30px;
  }

  .gallery-section .gallery-list .gallery-item{
    width: calc(100% / 2 - 30px);
    margin: 10px 0;
  }
  .contact-section .section-content {
    align-items: center;
    flex-direction: column-reverse;
}

}
@media screen and (max-width:640px){
  .hero-section .hero-image-wrapper{
    margin: 20px;
  }
  .menu-section .menu-list{
    gap: 60px;
  }
  .menu-section .menu-list .menu-item,   .gallery-section .gallery-list .gallery-item{
    width: 100%;
    margin: 10px 0;
  }
  .testimonials-section .slider-wrapper{
    margin: 0 0 30px;
  }
  .testimonials-section .swiper-slide-button{
    display: none;
  }
  .gallery-section .gallery-item .gallery-image{
    margin: 0 15%;
    align-items: center;
    height: 300px;
    width: 80%;
  }
  .footer-section .section-content{
    flex-direction: column;
    gap: 20px;
  }
}
